Subject: Re: [kbuild-all] Re: [PATCH v1 1/4] qlge/qlge_main.c: use genric power management

From: Philip Li <[email-masked]>
Date: Tue, 30 Jun 2020 08:21:52 +0800

On Mon, Jun 29, 2020 at 12:31:16PM -0500, Bjorn Helgaas wrote:
> Vaibhav: s/genric/generic/ in the subject
> 
> On Tue, Jun 30, 2020 at 12:09:36AM +0800, kernel test robot wrote:
> > Hi Vaibhav,
> > 
> > Thank you for the patch! Yet something to improve:
> > 
> > [auto build test ERROR on staging/staging-testing]
> > [also build test ERROR on v5.8-rc3 next-20200629]
> > [If your patch is applied to the wrong git tree, kindly drop us a note.
> > And when submitting patch, we suggest to use  as documented in
> > https://git-scm.com/docs/git-format-patch]
> > 
> > url:    https://github.com/0day-ci/linux/commits/Vaibhav-Gupta/drivers-staging-use-generic-power-management/20200629-163141
> > base:   https://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging.git 347fa58ff5558075eec98725029c443c80ffbf4a
> > config: x86_64-rhel-7.6 (attached as .config)
> > compiler: gcc-9 (Debian 9.3.0-13) 9.3.0
> > reproduce (this is a W=1 build):
> >         # save the attached .config to linux build tree
> >         make W=1 ARCH=x86_64 
> > 
> > If you fix the issue, kindly add following tag as appropriate
> > Reported-by: kernel test robot <[email-masked]>
> 
> If the patch has already been merged and we need an incremental patch
> that fixes *only* the build issue, I think it's fine to add a
> "Reported-by" tag.
> 
> But if this patch hasn't been merged anywhere, I think adding the
> "Reported-by" tag would be pointless and distracting.  This report
> should result in a v2 posting of the patch with the build issue fixed.
> 
> There will be no evidence of the problem in the v2 patch.  The patch
> itself contains other changes unrelated to the build issue, so
> "Reported-by" makes so sense for them.  I would treat this as just
> another review comment, and we don't usually credit those in the
> commit log (though it's nice if they're mentioned in the v2 cover
> letter so reviewers know what changed and why).
> 
> Is there any chance kbuild could be made smart enough to suggest the
> tag only when it finds an issue in some list of published trees?
Thanks a lot for the suggestion. As of now, this is a recommendation,
and user may judge based on own situation to add "as appropriate".
Meanwhile, we will continue making the bot better.

> 
> > All errors (new ones prefixed by >>):
> > 
> >    drivers/staging/qlge/qlge_main.c: In function 'qlge_resume':
> > >> drivers/staging/qlge/qlge_main.c:4793:17: error: 'pdev' undeclared (first use in this function); did you mean 'qdev'?
> >     4793 |  pci_set_master(pdev);
> >          |                 ^~~~
> >          |                 qdev
> > ...
> _______________________________________________
> kbuild-all mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]